Get Webhooks
curl --request GET \
--url https://api.us.vartiq.com/webhooks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.vartiq.com/webhooks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.us.vartiq.com/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"customHeaders": [
{
"key": "<string>",
"value": "<string>"
}
],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Webhooks
Get Webhooks
GET
/
webhooks
Get Webhooks
Query Parameters
string
required
Filter webhooks by app ID
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
array
Array of webhook objects
Show Properties
Show Properties
string
Unique identifier for the webhook
string
Name of the webhook
string
URL where webhook events will be sent
string
Secret key for webhook verification
string
Timestamp when the webhook was created
string
Timestamp when the webhook was last updated
Response Example
{
"success": true,
"message": "Webhooks retrieved successfully",
"data": [
{
"id": "wh_01JT39DVQGKA1RV4QNJ1VFRNW2",
"name": "heelo",
"url": "https://exp.com",
"secret": "01JT39DVQJW3A49TR3XXFVM939",
"customHeaders": [
{
"key": "x-app",
"value": "x-value"
}
],
"headers": [
{
"key": "Content-Type",
"value": "application/json"
}
],
"createdAt": "2025-04-30T12:06:00.703Z",
"updatedAt": "2025-04-30T12:06:00.703Z"
}
]
}
⌘I